#ifdef PROTO

Bool AddToDatabase(ObjPtr object, Bool isVolatile);
Bool DeleteObjFromDatabase(ObjPtr object);
ObjPtr SearchDatabase(ObjPtr keylist);
ObjPtr NewUniqueName(char *oldName, int classID);
void InitDatabase(void);
void KillDatabase(void);

#else

Bool AddToDatabase();
Bool DeleteObjFromDatabase();
ObjPtr SearchDatabase();
ObjPtr NewUniqueName();
void InitDatabase();
void KillDatabase();

#endif

#define DB_VOLATILE    true
#define DB_NONVOLATILE false
#define AddObjToDatabase(a)  AddToDatabase((a), DB_NONVOLATILE)
#define AddVolObjToDatabase(a) AddToDatabase((a), DB_VOLATILE)
